catalog:
  title: MORSE Simulator Human Next

templates:
- cmake-cpp
- python-version
- base

variables:
  description: MORSE simulation environment.
  keywords:
  - python
  - programming language
  - simulation
  - MORSE
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  repository: https://github.com/severin-lemaignan/morse.git
  git.shallow?: false
  branches:
  - 1.2_STABLE
  - master
  - bb2a685735
  - human_next

  python.version: '3.4'

  timeout/minutes: 90

  extra-provides:
  - nature: cmake
    target: morse
  extra-requires:
  - nature: setuptools
    target: rospkg
  - nature: setuptools
    target: catkin_pkg
  - nature: setuptools
    target: ros-catkin

  platform-requires:
    ubuntu:
      packages:
      - blender
      - cmake
      - build-essential
      - python3.4
      - python3.4-dev
      - python3-yaml
      - ros-${ros}-desktop

  cmake.options:
  - PYMORSE_SUPPORT=ON
  - PYTHON_EXECUTABLE=${python.binary.path}
  - BUILD_ROS_SUPPORT=ON
  - BUILD_CORE_SUPPORT=ON
  - BUILD_TYPE=Release
  - '@{next-value|[]}'
